_GPS_Interrupt:
;GPS_Click.c,108 :: 		void GPS_Interrupt() iv IVT_INT_EXTI1 ics ICS_AUTO {       //  Interrupt from GPS
;GPS_Click.c,109 :: 		PR1_bit = 1;  // Clear interrupt
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(PR1_bit+0)
MOVT	R0, #hi_addr(PR1_bit+0)
STR	R1, [R0, #0]
;GPS_Click.c,111 :: 		GPS_Count += 1;
MOVW	R1, #lo_addr(_GPS_Count+0)
MOVT	R1, #hi_addr(_GPS_Count+0)
LDRB	R0, [R1, #0]
ADDS	R0, R0, #1
STRB	R0, [R1, #0]
;GPS_Click.c,112 :: 		if (GPS_Count > 9) {   // Update every 10 seconds
UXTB	R0, R0
CMP	R0, #9
IT	LS
BLS	L_GPS_Interrupt0
;GPS_Click.c,113 :: 		GPS_Count = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_GPS_Count+0)
MOVT	R0, #hi_addr(_GPS_Count+0)
STRB	R1, [R0, #0]
;GPS_Click.c,114 :: 		UpdateFlag = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_UpdateFlag+0)
MOVT	R0, #hi_addr(_UpdateFlag+0)
STRB	R1, [R0, #0]
;GPS_Click.c,115 :: 		}
L_GPS_Interrupt0:
;GPS_Click.c,116 :: 		}
L_end_GPS_Interrupt:
BX	LR
; end of _GPS_Interrupt
_GPS_Initialize:
;GPS_Click.c,138 :: 		void GPS_Initialize(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;GPS_Click.c,149 :: 		GPIO_Digital_Output(&GPIOE_BASE,_GPIO_PINMASK_4);      // GPS_RST is an output
MOVW	R1, #16
MOVW	R0, #lo_addr(GPIOE_BASE+0)
MOVT	R0, #hi_addr(GPIOE_BASE+0)
BL	_GPIO_Digital_Output+0
;GPS_Click.c,150 :: 		GPIO_Digital_Input(&GPIOE_BASE,_GPIO_PINMASK_1);       // GPS_TIMEPULSE is an input
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOE_BASE+0)
MOVT	R0, #hi_addr(GPIOE_BASE+0)
BL	_GPIO_Digital_Input+0
;GPS_Click.c,151 :: 		GPIO_Digital_Input(&GPIOF_BASE,_GPIO_PINMASK_1);       // GPS_SCL is an input
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;GPS_Click.c,152 :: 		GPIO_Digital_Input(&GPIOF_BASE,_GPIO_PINMASK_0);       // GPS_SDA is an input
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;GPS_Click.c,156 :: 		GPS_RST = 0;     // Activate the reset signal
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;GPS_Click.c,157 :: 		Delay_ms(10);
MOVW	R7, #41246
MOVT	R7, #7
NOP
NOP
L_GPS_Initialize1:
SUBS	R7, R7, #1
BNE	L_GPS_Initialize1
NOP
NOP
NOP
;GPS_Click.c,158 :: 		GPS_RST = 1;     // Deactivate the reset signal
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;GPS_Click.c,161 :: 		MR1_bit = 1;     // Unmask interrupt request from line 1
MOVW	R0, #lo_addr(MR1_bit+0)
MOVT	R0, #hi_addr(MR1_bit+0)
STR	R1, [R0, #0]
;GPS_Click.c,164 :: 		TR1_bit = 1;     // Enable rising trigger
MOVW	R0, #lo_addr(TR1_bit+0)
MOVT	R0, #hi_addr(TR1_bit+0)
STR	R1, [R0, #0]
;GPS_Click.c,167 :: 		SYSCFGEN_bit = 1;  // Enable system configuration controller clock
MOVW	R0, #lo_addr(SYSCFGEN_bit+0)
MOVT	R0, #hi_addr(SYSCFGEN_bit+0)
STR	R1, [R0, #0]
;GPS_Click.c,170 :: 		SYSCFG_EXTICR1 = 0x00000040;    // Connect PE1 to EXTI1
MOVS	R1, #64
MOVW	R0, #lo_addr(SYSCFG_EXTICR1+0)
MOVT	R0, #hi_addr(SYSCFG_EXTICR1+0)
STR	R1, [R0, #0]
;GPS_Click.c,172 :: 		NVIC_IntEnable(IVT_INT_EXTI1);  // Enable EXTI1 interrupt
MOVW	R0, #23
BL	_NVIC_IntEnable+0
;GPS_Click.c,175 :: 		}
L_end_GPS_Initialize:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _GPS_Initialize
_Display_Cursor:
;GPS_Click.c,180 :: 		void Display_Cursor(signed int lat, signed int lon, char *lt_Str, char *lng_Str, unsigned int color) {
; lon start address is: 4 (R1)
; lat start address is: 0 (R0)
SUB	SP, SP, #20
STR	LR, [SP, #0]
STR	R2, [SP, #12]
STR	R3, [SP, #16]
; lon end address is: 4 (R1)
; lat end address is: 0 (R0)
; lat start address is: 0 (R0)
; lon start address is: 4 (R1)
LDRH	R4, [SP, #20]
STRH	R4, [SP, #20]
;GPS_Click.c,186 :: 		latitude_y = ((160*(90 - lat))/180) + 40;
RSB	R5, R0, #90
SXTH	R5, R5
; lat end address is: 0 (R0)
MOVS	R4, #160
SXTH	R4, R4
MULS	R5, R4, R5
SXTH	R5, R5
MOVS	R4, #180
SXTH	R4, R4
SDIV	R4, R5, R4
SXTH	R4, R4
ADDS	R4, #40
SXTH	R4, R4
; latitude_y start address is: 0 (R0)
SXTH	R0, R4
;GPS_Click.c,187 :: 		longitude_x = (320*(lon + 180));
ADDW	R5, R1, #180
SXTH	R5, R5
; lon end address is: 4 (R1)
MOVW	R4, #320
SXTH	R4, R4
MUL	R1, R4, R5
; longitude_x start address is: 4 (R1)
SXTH	R1, R1
;GPS_Click.c,188 :: 		longitude_x = longitude_x/360 - 10;
MOVW	R4, #360
UDIV	R4, R1, R4
; longitude_x end address is: 4 (R1)
SUBS	R4, #10
; longitude_x start address is: 4 (R1)
MOV	R1, R4
;GPS_Click.c,191 :: 		TFT_Set_Pen(CL_RED, 1);
STR	R1, [SP, #4]
STR	R0, [SP, #8]
MOVS	R1, #1
MOVW	R0, #63488
BL	_TFT_Set_Pen+0
LDR	R0, [SP, #8]
LDR	R1, [SP, #4]
;GPS_Click.c,192 :: 		TFT_H_Line(longitude_x - 2, longitude_x + 2, latitude_y );
ADDS	R5, R1, #2
SUBS	R4, R1, #2
STR	R1, [SP, #4]
STR	R0, [SP, #8]
SXTH	R2, R0
SXTH	R1, R5
SXTH	R0, R4
BL	_TFT_H_Line+0
LDR	R0, [SP, #8]
LDR	R1, [SP, #4]
;GPS_Click.c,193 :: 		TFT_V_Line( latitude_y - 2, latitude_y + 2, longitude_x );
ADDS	R5, R0, #2
SUBS	R4, R0, #2
; latitude_y end address is: 0 (R0)
SXTH	R2, R1
; longitude_x end address is: 4 (R1)
SXTH	R1, R5
SXTH	R0, R4
BL	_TFT_V_Line+0
;GPS_Click.c,195 :: 		TFT_Set_Font(&TFT_defaultFont, color, FO_HORIZONTAL);
MOVS	R2, #0
LDRH	R1, [SP, #20]
MOVW	R0, #lo_addr(_TFT_defaultFont+0)
MOVT	R0, #hi_addr(_TFT_defaultFont+0)
BL	_TFT_Set_Font+0
;GPS_Click.c,196 :: 		TFT_Write_Text(lt_Str, 160, 200);
MOVS	R2, #200
MOVS	R1, #160
LDR	R0, [SP, #12]
BL	_TFT_Write_Text+0
;GPS_Click.c,197 :: 		TFT_Write_Text(lng_Str, 160, 215);
MOVS	R2, #215
MOVS	R1, #160
LDR	R0, [SP, #16]
BL	_TFT_Write_Text+0
;GPS_Click.c,198 :: 		}
L_end_Display_Cursor:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _Display_Cursor
_DecodeResponse:
;GPS_Click.c,203 :: 		void DecodeResponse(void) {
SUB	SP, SP, #16
STR	LR, [SP, #0]
;GPS_Click.c,206 :: 		if ((DecodeBuffer[1] == 'G') && (DecodeBuffer[2] == 'P')) { // All messages start with $GP
MOVW	R0, #lo_addr(_DecodeBuffer+1)
MOVT	R0, #hi_addr(_DecodeBuffer+1)
LDRB	R0, [R0, #0]
CMP	R0, #71
IT	NE
BNE	L__DecodeResponse73
MOVW	R0, #lo_addr(_DecodeBuffer+2)
MOVT	R0, #hi_addr(_DecodeBuffer+2)
LDRB	R0, [R0, #0]
CMP	R0, #80
IT	NE
BNE	L__DecodeResponse72
L__DecodeResponse62:
;GPS_Click.c,207 :: 		if ((DecodeBuffer[3] == 'Z') && (DecodeBuffer[4] == 'D') && (DecodeBuffer[5] == 'A')) {
MOVW	R0, #lo_addr(_DecodeBuffer+3)
MOVT	R0, #hi_addr(_DecodeBuffer+3)
LDRB	R0, [R0, #0]
CMP	R0, #90
IT	NE
BNE	L__DecodeResponse65
MOVW	R0, #lo_addr(_DecodeBuffer+4)
MOVT	R0, #hi_addr(_DecodeBuffer+4)
LDRB	R0, [R0, #0]
CMP	R0, #68
IT	NE
BNE	L__DecodeResponse64
MOVW	R0, #lo_addr(_DecodeBuffer+5)
MOVT	R0, #hi_addr(_DecodeBuffer+5)
LDRB	R0, [R0, #0]
CMP	R0, #65
IT	NE
BNE	L__DecodeResponse63
L__DecodeResponse61:
;GPS_Click.c,208 :: 		DEBUGOUT("Received ZDA\r\n");  // Diagnostic
MOVW	R0, #lo_addr(?lstr1_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr1_GPS_Click+0)
BL	_UART6_PutQueue+0
;GPS_Click.c,209 :: 		GetToken(DecodeBuffer,ID);
MOVW	R1, #lo_addr(_ID+0)
MOVT	R1, #hi_addr(_ID+0)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,210 :: 		GetToken(DecodeBuffer,Time);
MOVW	R1, #lo_addr(_Time+0)
MOVT	R1, #hi_addr(_Time+0)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,211 :: 		GetToken(DecodeBuffer,Day);
MOVW	R1, #lo_addr(_Day+0)
MOVT	R1, #hi_addr(_Day+0)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,212 :: 		GetToken(DecodeBuffer,Month);
MOVW	R1, #lo_addr(_Month+0)
MOVT	R1, #hi_addr(_Month+0)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,213 :: 		GetToken(DecodeBuffer,Year);
MOVW	R1, #lo_addr(_Year+0)
MOVT	R1, #hi_addr(_Year+0)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,214 :: 		Hour[0] = Time[0];
MOVW	R0, #lo_addr(_Time+0)
MOVT	R0, #hi_addr(_Time+0)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_Hour+0)
MOVT	R0, #hi_addr(_Hour+0)
STRB	R1, [R0, #0]
;GPS_Click.c,215 :: 		Hour[1] = Time[1];
MOVW	R0, #lo_addr(_Time+1)
MOVT	R0, #hi_addr(_Time+1)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_Hour+1)
MOVT	R0, #hi_addr(_Hour+1)
STRB	R1, [R0, #0]
;GPS_Click.c,216 :: 		Hour[2] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_Hour+2)
MOVT	R0, #hi_addr(_Hour+2)
STRB	R1, [R0, #0]
;GPS_Click.c,217 :: 		Minute[0] = Time[2];
MOVW	R0, #lo_addr(_Time+2)
MOVT	R0, #hi_addr(_Time+2)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_Minute+0)
MOVT	R0, #hi_addr(_Minute+0)
STRB	R1, [R0, #0]
;GPS_Click.c,218 :: 		Minute[1] = Time[3];
MOVW	R0, #lo_addr(_Time+3)
MOVT	R0, #hi_addr(_Time+3)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_Minute+1)
MOVT	R0, #hi_addr(_Minute+1)
STRB	R1, [R0, #0]
;GPS_Click.c,219 :: 		Minute[2] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_Minute+2)
MOVT	R0, #hi_addr(_Minute+2)
STRB	R1, [R0, #0]
;GPS_Click.c,220 :: 		Second[0] = Time[4];
MOVW	R0, #lo_addr(_Time+4)
MOVT	R0, #hi_addr(_Time+4)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_Second+0)
MOVT	R0, #hi_addr(_Second+0)
STRB	R1, [R0, #0]
;GPS_Click.c,221 :: 		Second[1] = Time[5];
MOVW	R0, #lo_addr(_Time+5)
MOVT	R0, #hi_addr(_Time+5)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_Second+1)
MOVT	R0, #hi_addr(_Second+1)
STRB	R1, [R0, #0]
;GPS_Click.c,222 :: 		Second[2] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_Second+2)
MOVT	R0, #hi_addr(_Second+2)
STRB	R1, [R0, #0]
;GPS_Click.c,229 :: 		MyTS.yy = atoi(Year);
MOVW	R0, #lo_addr(_Year+0)
MOVT	R0, #hi_addr(_Year+0)
BL	_atoi+0
MOVW	R1, #lo_addr(_MyTS+6)
MOVT	R1, #hi_addr(_MyTS+6)
STRH	R0, [R1, #0]
;GPS_Click.c,230 :: 		MyTS.mo = atoi(Month);
MOVW	R0, #lo_addr(_Month+0)
MOVT	R0, #hi_addr(_Month+0)
BL	_atoi+0
MOVW	R1, #lo_addr(_MyTS+5)
MOVT	R1, #hi_addr(_MyTS+5)
STRB	R0, [R1, #0]
;GPS_Click.c,231 :: 		MyTS.md = atoi(Day);
MOVW	R0, #lo_addr(_Day+0)
MOVT	R0, #hi_addr(_Day+0)
BL	_atoi+0
MOVW	R1, #lo_addr(_MyTS+3)
MOVT	R1, #hi_addr(_MyTS+3)
STRB	R0, [R1, #0]
;GPS_Click.c,232 :: 		MyTS.hh = atoi(Hour);
MOVW	R0, #lo_addr(_Hour+0)
MOVT	R0, #hi_addr(_Hour+0)
BL	_atoi+0
MOVW	R1, #lo_addr(_MyTS+2)
MOVT	R1, #hi_addr(_MyTS+2)
STRB	R0, [R1, #0]
;GPS_Click.c,233 :: 		MyTS.mn = atoi(Minute);
MOVW	R0, #lo_addr(_Minute+0)
MOVT	R0, #hi_addr(_Minute+0)
BL	_atoi+0
MOVW	R1, #lo_addr(_MyTS+1)
MOVT	R1, #hi_addr(_MyTS+1)
STRB	R0, [R1, #0]
;GPS_Click.c,234 :: 		MyTS.ss = atoi(Second);
MOVW	R0, #lo_addr(_Second+0)
MOVT	R0, #hi_addr(_Second+0)
BL	_atoi+0
MOVW	R1, #lo_addr(_MyTS+0)
MOVT	R1, #hi_addr(_MyTS+0)
STRB	R0, [R1, #0]
;GPS_Click.c,236 :: 		Epoch = Time_dateToEpoch(&MyTS);
MOVW	R0, #lo_addr(_MyTS+0)
MOVT	R0, #hi_addr(_MyTS+0)
BL	_Time_dateToEpoch+0
MOVW	R1, #lo_addr(_Epoch+0)
MOVT	R1, #hi_addr(_Epoch+0)
STR	R0, [R1, #0]
;GPS_Click.c,237 :: 		Epoch -= 14400;                     // Adjust for Greenwich Mean Time (GMT)
SUB	R0, R0, #14400
STR	R0, [R1, #0]
;GPS_Click.c,238 :: 		Time_epochToDate(Epoch, &MyTS);
MOVW	R1, #lo_addr(_MyTS+0)
MOVT	R1, #hi_addr(_MyTS+0)
BL	_Time_epochToDate+0
;GPS_Click.c,240 :: 		switch (MyTS.wd) {
IT	AL
BAL	L_DecodeResponse9
;GPS_Click.c,241 :: 		case 0:
L_DecodeResponse11:
;GPS_Click.c,242 :: 		strcpy(WeekDay,"Monday");
MOVW	R0, #lo_addr(?lstr2_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr2_GPS_Click+0)
MOV	R1, R0
MOVW	R0, #lo_addr(_WeekDay+0)
MOVT	R0, #hi_addr(_WeekDay+0)
BL	_strcpy+0
;GPS_Click.c,243 :: 		break;
IT	AL
BAL	L_DecodeResponse10
;GPS_Click.c,244 :: 		case 1:
L_DecodeResponse12:
;GPS_Click.c,245 :: 		strcpy(WeekDay,"Tuesday");
MOVW	R0, #lo_addr(?lstr3_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr3_GPS_Click+0)
MOV	R1, R0
MOVW	R0, #lo_addr(_WeekDay+0)
MOVT	R0, #hi_addr(_WeekDay+0)
BL	_strcpy+0
;GPS_Click.c,246 :: 		break;
IT	AL
BAL	L_DecodeResponse10
;GPS_Click.c,247 :: 		case 2:
L_DecodeResponse13:
;GPS_Click.c,248 :: 		strcpy(WeekDay,"Wednesday");
MOVW	R0, #lo_addr(?lstr4_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr4_GPS_Click+0)
MOV	R1, R0
MOVW	R0, #lo_addr(_WeekDay+0)
MOVT	R0, #hi_addr(_WeekDay+0)
BL	_strcpy+0
;GPS_Click.c,249 :: 		break;
IT	AL
BAL	L_DecodeResponse10
;GPS_Click.c,250 :: 		case 3:
L_DecodeResponse14:
;GPS_Click.c,251 :: 		strcpy(WeekDay,"Thursday");
MOVW	R0, #lo_addr(?lstr5_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr5_GPS_Click+0)
MOV	R1, R0
MOVW	R0, #lo_addr(_WeekDay+0)
MOVT	R0, #hi_addr(_WeekDay+0)
BL	_strcpy+0
;GPS_Click.c,252 :: 		break;
IT	AL
BAL	L_DecodeResponse10
;GPS_Click.c,253 :: 		case 4:
L_DecodeResponse15:
;GPS_Click.c,254 :: 		strcpy(WeekDay,"Friday");
MOVW	R0, #lo_addr(?lstr6_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr6_GPS_Click+0)
MOV	R1, R0
MOVW	R0, #lo_addr(_WeekDay+0)
MOVT	R0, #hi_addr(_WeekDay+0)
BL	_strcpy+0
;GPS_Click.c,255 :: 		break;
IT	AL
BAL	L_DecodeResponse10
;GPS_Click.c,256 :: 		case 5:
L_DecodeResponse16:
;GPS_Click.c,257 :: 		strcpy(WeekDay,"Saturday");
MOVW	R0, #lo_addr(?lstr7_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr7_GPS_Click+0)
MOV	R1, R0
MOVW	R0, #lo_addr(_WeekDay+0)
MOVT	R0, #hi_addr(_WeekDay+0)
BL	_strcpy+0
;GPS_Click.c,258 :: 		break;
IT	AL
BAL	L_DecodeResponse10
;GPS_Click.c,259 :: 		case 6:
L_DecodeResponse17:
;GPS_Click.c,260 :: 		strcpy(WeekDay,"Sunday");
MOVW	R0, #lo_addr(?lstr8_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr8_GPS_Click+0)
MOV	R1, R0
MOVW	R0, #lo_addr(_WeekDay+0)
MOVT	R0, #hi_addr(_WeekDay+0)
BL	_strcpy+0
;GPS_Click.c,261 :: 		break;
IT	AL
BAL	L_DecodeResponse10
;GPS_Click.c,262 :: 		}
L_DecodeResponse9:
MOVW	R0, #lo_addr(_MyTS+4)
MOVT	R0, #hi_addr(_MyTS+4)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_DecodeResponse11
MOVW	R0, #lo_addr(_MyTS+4)
MOVT	R0, #hi_addr(_MyTS+4)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_DecodeResponse12
MOVW	R0, #lo_addr(_MyTS+4)
MOVT	R0, #hi_addr(_MyTS+4)
LDRB	R0, [R0, #0]
CMP	R0, #2
IT	EQ
BEQ	L_DecodeResponse13
MOVW	R0, #lo_addr(_MyTS+4)
MOVT	R0, #hi_addr(_MyTS+4)
LDRB	R0, [R0, #0]
CMP	R0, #3
IT	EQ
BEQ	L_DecodeResponse14
MOVW	R0, #lo_addr(_MyTS+4)
MOVT	R0, #hi_addr(_MyTS+4)
LDRB	R0, [R0, #0]
CMP	R0, #4
IT	EQ
BEQ	L_DecodeResponse15
MOVW	R0, #lo_addr(_MyTS+4)
MOVT	R0, #hi_addr(_MyTS+4)
LDRB	R0, [R0, #0]
CMP	R0, #5
IT	EQ
BEQ	L_DecodeResponse16
MOVW	R0, #lo_addr(_MyTS+4)
MOVT	R0, #hi_addr(_MyTS+4)
LDRB	R0, [R0, #0]
CMP	R0, #6
IT	EQ
BEQ	L_DecodeResponse17
L_DecodeResponse10:
;GPS_Click.c,265 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 36 (R9)
MOV	R9, R0
;GPS_Click.c,266 :: 		sprintf(BufNum,"GPS: %04d/%02d/%02d %02d:%02d:%02d %s\r\n",MyTS.yy,MyTS.mo,MyTS.md,MyTS.hh,MyTS.mn,MyTS.ss,WeekDay);
MOVW	R8, #lo_addr(_WeekDay+0)
MOVT	R8, #hi_addr(_WeekDay+0)
MOVW	R1, #lo_addr(_MyTS+0)
MOVT	R1, #hi_addr(_MyTS+0)
LDRB	R7, [R1, #0]
MOVW	R1, #lo_addr(_MyTS+1)
MOVT	R1, #hi_addr(_MyTS+1)
LDRB	R6, [R1, #0]
MOVW	R1, #lo_addr(_MyTS+2)
MOVT	R1, #hi_addr(_MyTS+2)
LDRB	R5, [R1, #0]
MOVW	R1, #lo_addr(_MyTS+3)
MOVT	R1, #hi_addr(_MyTS+3)
LDRB	R4, [R1, #0]
MOVW	R1, #lo_addr(_MyTS+5)
MOVT	R1, #hi_addr(_MyTS+5)
LDRB	R3, [R1, #0]
MOVW	R1, #lo_addr(_MyTS+6)
MOVT	R1, #hi_addr(_MyTS+6)
LDRH	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_9_GPS_Click+0)
MOVT	R1, #hi_addr(?lstr_9_GPS_Click+0)
STR	R9, [SP, #4]
PUSH	32
PUSH	(R7)
PUSH	(R6)
PUSH	(R5)
PUSH	(R4)
PUSH	(R3)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #36
LDR	R9, [SP, #4]
;GPS_Click.c,267 :: 		UART6_PutQueue(BufNum);
STR	R9, [SP, #4]
MOV	R0, R9
BL	_UART6_PutQueue+0
LDR	R9, [SP, #4]
;GPS_Click.c,270 :: 		UpdateLabel1(BufNum,CL_BLACK);  // Update TFT label
MOVW	R1, #0
MOV	R0, R9
; BufNum end address is: 36 (R9)
BL	_UpdateLabel1+0
;GPS_Click.c,207 :: 		if ((DecodeBuffer[3] == 'Z') && (DecodeBuffer[4] == 'D') && (DecodeBuffer[5] == 'A')) {
L__DecodeResponse65:
L__DecodeResponse64:
L__DecodeResponse63:
;GPS_Click.c,275 :: 		if ((DecodeBuffer[3] == 'G') && (DecodeBuffer[4] == 'G') && (DecodeBuffer[5] == 'A')) {
MOVW	R0, #lo_addr(_DecodeBuffer+3)
MOVT	R0, #hi_addr(_DecodeBuffer+3)
LDRB	R0, [R0, #0]
CMP	R0, #71
IT	NE
BNE	L__DecodeResponse68
MOVW	R0, #lo_addr(_DecodeBuffer+4)
MOVT	R0, #hi_addr(_DecodeBuffer+4)
LDRB	R0, [R0, #0]
CMP	R0, #71
IT	NE
BNE	L__DecodeResponse67
MOVW	R0, #lo_addr(_DecodeBuffer+5)
MOVT	R0, #hi_addr(_DecodeBuffer+5)
LDRB	R0, [R0, #0]
CMP	R0, #65
IT	NE
BNE	L__DecodeResponse66
L__DecodeResponse60:
;GPS_Click.c,276 :: 		DEBUGOUT("Received GGA\r\n");  // Diagnostic
MOVW	R0, #lo_addr(?lstr10_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr10_GPS_Click+0)
BL	_UART6_PutQueue+0
;GPS_Click.c,277 :: 		GetToken(DecodeBuffer,GGA.ID);
MOVW	R1, #lo_addr(_GGA+0)
MOVT	R1, #hi_addr(_GGA+0)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,278 :: 		GetToken(DecodeBuffer,GGA.Time);
MOVW	R1, #lo_addr(_GGA+8)
MOVT	R1, #hi_addr(_GGA+8)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,279 :: 		GetToken(DecodeBuffer,GGA.Latitude);
MOVW	R1, #lo_addr(_GGA+20)
MOVT	R1, #hi_addr(_GGA+20)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,280 :: 		GetToken(DecodeBuffer,GGA.NS);
MOVW	R1, #lo_addr(_GGA+32)
MOVT	R1, #hi_addr(_GGA+32)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,281 :: 		GetToken(DecodeBuffer,GGA.Longitude);
MOVW	R1, #lo_addr(_GGA+36)
MOVT	R1, #hi_addr(_GGA+36)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,282 :: 		GetToken(DecodeBuffer,GGA.EW);
MOVW	R1, #lo_addr(_GGA+48)
MOVT	R1, #hi_addr(_GGA+48)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,283 :: 		GetToken(DecodeBuffer,GGA.Fix);
MOVW	R1, #lo_addr(_GGA+52)
MOVT	R1, #hi_addr(_GGA+52)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,284 :: 		GetToken(DecodeBuffer,GGA.NumSat);
MOVW	R1, #lo_addr(_GGA+54)
MOVT	R1, #hi_addr(_GGA+54)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,285 :: 		GetToken(DecodeBuffer,GGA.HDOP);
MOVW	R1, #lo_addr(_GGA+58)
MOVT	R1, #hi_addr(_GGA+58)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,286 :: 		GetToken(DecodeBuffer,GGA.Altitude);
MOVW	R1, #lo_addr(_GGA+66)
MOVT	R1, #hi_addr(_GGA+66)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,287 :: 		GetToken(DecodeBuffer,GGA.FF1);
MOVW	R1, #lo_addr(_GGA+74)
MOVT	R1, #hi_addr(_GGA+74)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,288 :: 		GetToken(DecodeBuffer,GGA.Height);
MOVW	R1, #lo_addr(_GGA+76)
MOVT	R1, #hi_addr(_GGA+76)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,289 :: 		GetToken(DecodeBuffer,GGA.FF2);
MOVW	R1, #lo_addr(_GGA+84)
MOVT	R1, #hi_addr(_GGA+84)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,290 :: 		GetToken(DecodeBuffer,GGA.Age);
MOVW	R1, #lo_addr(_GGA+86)
MOVT	R1, #hi_addr(_GGA+86)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,291 :: 		GetToken(DecodeBuffer,GGA.DGPS_ID);
MOVW	R1, #lo_addr(_GGA+94)
MOVT	R1, #hi_addr(_GGA+94)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_GetToken+0
;GPS_Click.c,293 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 40 (R10)
MOV	R10, R0
;GPS_Click.c,294 :: 		sprintf(BufNum,"%s;%s;%s;%s;%s;%s;%s;%s\r\n",GGA.ID,GGA.Time,GGA.Latitude,GGA.NS,GGA.Longitude,GGA.EW,GGA.Fix,GGA.NumSat);
MOVW	R9, #lo_addr(_GGA+54)
MOVT	R9, #hi_addr(_GGA+54)
MOVW	R8, #lo_addr(_GGA+52)
MOVT	R8, #hi_addr(_GGA+52)
MOVW	R7, #lo_addr(_GGA+48)
MOVT	R7, #hi_addr(_GGA+48)
MOVW	R6, #lo_addr(_GGA+36)
MOVT	R6, #hi_addr(_GGA+36)
MOVW	R5, #lo_addr(_GGA+32)
MOVT	R5, #hi_addr(_GGA+32)
MOVW	R4, #lo_addr(_GGA+20)
MOVT	R4, #hi_addr(_GGA+20)
MOVW	R3, #lo_addr(_GGA+8)
MOVT	R3, #hi_addr(_GGA+8)
MOVW	R2, #lo_addr(_GGA+0)
MOVT	R2, #hi_addr(_GGA+0)
MOVW	R1, #lo_addr(?lstr_11_GPS_Click+0)
MOVT	R1, #hi_addr(?lstr_11_GPS_Click+0)
STR	R10, [SP, #4]
PUSH	36
PUSH	32
PUSH	(R7)
PUSH	(R6)
PUSH	(R5)
PUSH	(R4)
PUSH	(R3)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #40
LDR	R10, [SP, #4]
;GPS_Click.c,295 :: 		UART6_PutQueue(BufNum);
MOV	R0, R10
; BufNum end address is: 40 (R10)
BL	_UART6_PutQueue+0
;GPS_Click.c,275 :: 		if ((DecodeBuffer[3] == 'G') && (DecodeBuffer[4] == 'G') && (DecodeBuffer[5] == 'A')) {
L__DecodeResponse68:
L__DecodeResponse67:
L__DecodeResponse66:
;GPS_Click.c,298 :: 		if ((DecodeBuffer[3] == 'G') && (DecodeBuffer[4] == 'L') && (DecodeBuffer[5] == 'L')) {
MOVW	R0, #lo_addr(_DecodeBuffer+3)
MOVT	R0, #hi_addr(_DecodeBuffer+3)
LDRB	R0, [R0, #0]
CMP	R0, #71
IT	NE
BNE	L__DecodeResponse71
MOVW	R0, #lo_addr(_DecodeBuffer+4)
MOVT	R0, #hi_addr(_DecodeBuffer+4)
LDRB	R0, [R0, #0]
CMP	R0, #76
IT	NE
BNE	L__DecodeResponse70
MOVW	R0, #lo_addr(_DecodeBuffer+5)
MOVT	R0, #hi_addr(_DecodeBuffer+5)
LDRB	R0, [R0, #0]
CMP	R0, #76
IT	NE
BNE	L__DecodeResponse69
L__DecodeResponse59:
;GPS_Click.c,299 :: 		DEBUGOUT("Received GLL\r\n");  // Diagnostic
MOVW	R0, #lo_addr(?lstr12_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr12_GPS_Click+0)
BL	_UART6_PutQueue+0
;GPS_Click.c,302 :: 		string = strstr(U2_RcvBuf,"$GPGLL");
MOVW	R0, #lo_addr(?lstr13_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr13_GPS_Click+0)
MOV	R1, R0
MOVW	R0, #lo_addr(_U2_RcvBuf+0)
MOVT	R0, #hi_addr(_U2_RcvBuf+0)
BL	_strstr+0
MOVW	R1, #lo_addr(_string+0)
MOVT	R1, #hi_addr(_string+0)
STR	R0, [R1, #0]
;GPS_Click.c,304 :: 		latitude = (string[7]-48)*10 + (string[8]-48);
ADDS	R1, R0, #7
LDRB	R1, [R1, #0]
SUBW	R2, R1, #48
SXTH	R2, R2
MOVS	R1, #10
SXTH	R1, R1
MULS	R2, R1, R2
SXTH	R2, R2
ADDW	R1, R0, #8
LDRB	R1, [R1, #0]
SUBS	R1, #48
SXTH	R1, R1
ADDS	R2, R2, R1
MOVW	R1, #lo_addr(_latitude+0)
MOVT	R1, #hi_addr(_latitude+0)
STRH	R2, [R1, #0]
;GPS_Click.c,305 :: 		longitude = (string[19]-48)*100 + (string[20]-48)*10 + (string[21]-48);
ADDW	R1, R0, #19
LDRB	R1, [R1, #0]
SUBW	R2, R1, #48
SXTH	R2, R2
MOVS	R1, #100
SXTH	R1, R1
MUL	R3, R2, R1
SXTH	R3, R3
ADDW	R1, R0, #20
LDRB	R1, [R1, #0]
SUBW	R2, R1, #48
SXTH	R2, R2
MOVS	R1, #10
SXTH	R1, R1
MULS	R1, R2, R1
SXTH	R1, R1
ADDS	R2, R3, R1
SXTH	R2, R2
ADDW	R1, R0, #21
LDRB	R1, [R1, #0]
SUBS	R1, #48
SXTH	R1, R1
ADDS	R2, R2, R1
MOVW	R1, #lo_addr(_longitude+0)
MOVT	R1, #hi_addr(_longitude+0)
STRH	R2, [R1, #0]
;GPS_Click.c,306 :: 		if (string[17] == 'S') {            // if the latitude is in the South direction it has minus sign
ADDS	R0, #17
LDRB	R0, [R0, #0]
CMP	R0, #83
IT	NE
BNE	L_DecodeResponse24
;GPS_Click.c,307 :: 		latitude = 0 - latitude;
MOVW	R1, #lo_addr(_latitude+0)
MOVT	R1, #hi_addr(_latitude+0)
LDRSH	R0, [R1, #0]
RSBS	R0, R0, #0
STRH	R0, [R1, #0]
;GPS_Click.c,308 :: 		}
L_DecodeResponse24:
;GPS_Click.c,310 :: 		if (string[30] == 'W') {            // if the longitude is in the West direction it has minus sign
MOVW	R0, #lo_addr(_string+0)
MOVT	R0, #hi_addr(_string+0)
LDR	R0, [R0, #0]
ADDS	R0, #30
LDRB	R0, [R0, #0]
CMP	R0, #87
IT	NE
BNE	L_DecodeResponse25
;GPS_Click.c,311 :: 		longitude = 0 - longitude;
MOVW	R1, #lo_addr(_longitude+0)
MOVT	R1, #hi_addr(_longitude+0)
LDRSH	R0, [R1, #0]
RSBS	R0, R0, #0
STRH	R0, [R1, #0]
;GPS_Click.c,312 :: 		}
L_DecodeResponse25:
;GPS_Click.c,314 :: 		if ((oldlongitude != longitude) | (oldlatitude != latitude)){
MOVW	R0, #lo_addr(_longitude+0)
MOVT	R0, #hi_addr(_longitude+0)
LDRSH	R1, [R0, #0]
MOVW	R0, #lo_addr(_oldlongitude+0)
MOVT	R0, #hi_addr(_oldlongitude+0)
LDRSH	R0, [R0, #0]
CMP	R0, R1
MOVW	R2, #0
BEQ	L__DecodeResponse78
MOVS	R2, #1
L__DecodeResponse78:
MOVW	R0, #lo_addr(_latitude+0)
MOVT	R0, #hi_addr(_latitude+0)
LDRSH	R1, [R0, #0]
MOVW	R0, #lo_addr(_oldlatitude+0)
MOVT	R0, #hi_addr(_oldlatitude+0)
LDRSH	R0, [R0, #0]
CMP	R0, R1
MOVW	R0, #0
BEQ	L__DecodeResponse79
MOVS	R0, #1
L__DecodeResponse79:
ORR	R0, R2, R0, LSL #0
CMP	R0, #0
IT	EQ
BEQ	L_DecodeResponse26
;GPS_Click.c,315 :: 		Display_Cursor(latitude, longitude, &lat_str, &long_str, CL_WHITE); // Display the cursor on the world map
MOVW	R2, #65535
MOVW	R0, #lo_addr(_longitude+0)
MOVT	R0, #hi_addr(_longitude+0)
STR	R0, [SP, #12]
LDRSH	R1, [R0, #0]
MOVW	R0, #lo_addr(_latitude+0)
MOVT	R0, #hi_addr(_latitude+0)
STR	R0, [SP, #8]
LDRSH	R0, [R0, #0]
PUSH	(R2)
MOVW	R3, #lo_addr(_long_str+0)
MOVT	R3, #hi_addr(_long_str+0)
MOVW	R2, #lo_addr(_lat_str+0)
MOVT	R2, #hi_addr(_lat_str+0)
BL	_Display_Cursor+0
ADD	SP, SP, #4
;GPS_Click.c,317 :: 		lat_str[0] = string[7];
MOVW	R2, #lo_addr(_string+0)
MOVT	R2, #hi_addr(_string+0)
LDR	R0, [R2, #0]
ADDS	R0, R0, #7
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_lat_str+0)
MOVT	R0, #hi_addr(_lat_str+0)
STRB	R1, [R0, #0]
;GPS_Click.c,318 :: 		lat_str[1] = string[8];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R0, #8
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_lat_str+1)
MOVT	R0, #hi_addr(_lat_str+1)
STRB	R1, [R0, #0]
;GPS_Click.c,319 :: 		lat_str[2] = '-';
MOVS	R1, #45
MOVW	R0, #lo_addr(_lat_str+2)
MOVT	R0, #hi_addr(_lat_str+2)
STRB	R1, [R0, #0]
;GPS_Click.c,320 :: 		lat_str[3] = string[9];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R0, #9
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_lat_str+3)
MOVT	R0, #hi_addr(_lat_str+3)
STRB	R1, [R0, #0]
;GPS_Click.c,321 :: 		lat_str[4] = string[10];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R0, #10
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_lat_str+4)
MOVT	R0, #hi_addr(_lat_str+4)
STRB	R1, [R0, #0]
;GPS_Click.c,322 :: 		lat_str[5] = ' ';
MOVS	R1, #32
MOVW	R0, #lo_addr(_lat_str+5)
MOVT	R0, #hi_addr(_lat_str+5)
STRB	R1, [R0, #0]
;GPS_Click.c,323 :: 		lat_str[6] = string[17];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R0, #17
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_lat_str+6)
MOVT	R0, #hi_addr(_lat_str+6)
STRB	R1, [R0, #0]
;GPS_Click.c,324 :: 		lat_str[7] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_lat_str+7)
MOVT	R0, #hi_addr(_lat_str+7)
STRB	R1, [R0, #0]
;GPS_Click.c,326 :: 		long_str[0] = string[19];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R0, #19
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_long_str+0)
MOVT	R0, #hi_addr(_long_str+0)
STRB	R1, [R0, #0]
;GPS_Click.c,327 :: 		long_str[1] = string[20];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R0, #20
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_long_str+1)
MOVT	R0, #hi_addr(_long_str+1)
STRB	R1, [R0, #0]
;GPS_Click.c,328 :: 		long_str[2] = string[21];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R0, #21
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_long_str+2)
MOVT	R0, #hi_addr(_long_str+2)
STRB	R1, [R0, #0]
;GPS_Click.c,329 :: 		long_str[3] = '-';
MOVS	R1, #45
MOVW	R0, #lo_addr(_long_str+3)
MOVT	R0, #hi_addr(_long_str+3)
STRB	R1, [R0, #0]
;GPS_Click.c,330 :: 		long_str[4] = string[22];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R0, #22
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_long_str+4)
MOVT	R0, #hi_addr(_long_str+4)
STRB	R1, [R0, #0]
;GPS_Click.c,331 :: 		long_str[5] = string[23];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R0, #23
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_long_str+5)
MOVT	R0, #hi_addr(_long_str+5)
STRB	R1, [R0, #0]
;GPS_Click.c,332 :: 		long_str[6] = ' ';
MOVS	R1, #32
MOVW	R0, #lo_addr(_long_str+6)
MOVT	R0, #hi_addr(_long_str+6)
STRB	R1, [R0, #0]
;GPS_Click.c,333 :: 		long_str[7] = string[30];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R0, #30
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_long_str+7)
MOVT	R0, #hi_addr(_long_str+7)
STRB	R1, [R0, #0]
;GPS_Click.c,334 :: 		long_str[8] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_long_str+8)
MOVT	R0, #hi_addr(_long_str+8)
STRB	R1, [R0, #0]
;GPS_Click.c,336 :: 		Display_Cursor(latitude, longitude, &lat_str, &long_str, CL_RED);   // Display the cursor on the world map
MOVW	R2, #63488
LDR	R0, [SP, #12]
LDRSH	R1, [R0, #0]
LDR	R0, [SP, #8]
LDRSH	R0, [R0, #0]
PUSH	(R2)
MOVW	R3, #lo_addr(_long_str+0)
MOVT	R3, #hi_addr(_long_str+0)
MOVW	R2, #lo_addr(_lat_str+0)
MOVT	R2, #hi_addr(_lat_str+0)
BL	_Display_Cursor+0
ADD	SP, SP, #4
;GPS_Click.c,337 :: 		}
L_DecodeResponse26:
;GPS_Click.c,298 :: 		if ((DecodeBuffer[3] == 'G') && (DecodeBuffer[4] == 'L') && (DecodeBuffer[5] == 'L')) {
L__DecodeResponse71:
L__DecodeResponse70:
L__DecodeResponse69:
;GPS_Click.c,206 :: 		if ((DecodeBuffer[1] == 'G') && (DecodeBuffer[2] == 'P')) { // All messages start with $GP
L__DecodeResponse73:
L__DecodeResponse72:
;GPS_Click.c,340 :: 		}
L_end_DecodeResponse:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _DecodeResponse
_WaitForResponse:
;GPS_Click.c,348 :: 		short WaitForResponse(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;GPS_Click.c,351 :: 		if (U2_MsgFlg) {
MOVW	R0, #lo_addr(_U2_MsgFlg+0)
MOVT	R0, #hi_addr(_U2_MsgFlg+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_WaitForResponse27
;GPS_Click.c,352 :: 		U2_MsgFlg = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_U2_MsgFlg+0)
MOVT	R0, #hi_addr(_U2_MsgFlg+0)
STRB	R1, [R0, #0]
;GPS_Click.c,354 :: 		if (strlen(U2_RcvBuf) > 255) {
MOVW	R0, #lo_addr(_U2_RcvBuf+0)
MOVT	R0, #hi_addr(_U2_RcvBuf+0)
BL	_strlen+0
CMP	R0, #255
IT	LE
BLE	L_WaitForResponse28
;GPS_Click.c,355 :: 		UART6_PutQueue("Message received from GPS is too long\r\n");
MOVW	R0, #lo_addr(?lstr14_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr14_GPS_Click+0)
BL	_UART6_PutQueue+0
;GPS_Click.c,356 :: 		return 0;  // Error
MOVS	R0, #0
SXTB	R0, R0
IT	AL
BAL	L_end_WaitForResponse
;GPS_Click.c,357 :: 		} else {
L_WaitForResponse28:
;GPS_Click.c,358 :: 		strcpy(DecodeBuffer,U2_RcvBuf);
MOVW	R1, #lo_addr(_U2_RcvBuf+0)
MOVT	R1, #hi_addr(_U2_RcvBuf+0)
MOVW	R0, #lo_addr(_DecodeBuffer+0)
MOVT	R0, #hi_addr(_DecodeBuffer+0)
BL	_strcpy+0
;GPS_Click.c,360 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 24 (R6)
MOV	R6, R0
;GPS_Click.c,361 :: 		strcpy(BufNum,U2_RcvBuf);
MOVW	R1, #lo_addr(_U2_RcvBuf+0)
MOVT	R1, #hi_addr(_U2_RcvBuf+0)
BL	_strcpy+0
;GPS_Click.c,362 :: 		UART6_PutQueue(BufNum);
MOV	R0, R6
; BufNum end address is: 24 (R6)
BL	_UART6_PutQueue+0
;GPS_Click.c,364 :: 		return 1;  // Received response
MOVS	R0, #1
SXTB	R0, R0
IT	AL
BAL	L_end_WaitForResponse
;GPS_Click.c,366 :: 		} else {
L_WaitForResponse27:
;GPS_Click.c,367 :: 		return -1;     // No response
MOVS	R0, #-1
SXTB	R0, R0
;GPS_Click.c,369 :: 		}
L_end_WaitForResponse:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _WaitForResponse
_GPS_TaskMgr:
;GPS_Click.c,374 :: 		void GPS_TaskMgr(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;GPS_Click.c,378 :: 		switch (GPS_State) {
IT	AL
BAL	L_GPS_TaskMgr31
;GPS_Click.c,381 :: 		case 0:
L_GPS_TaskMgr33:
;GPS_Click.c,382 :: 		ResponseCode = WaitForResponse();  // Output any unsolicited responses
BL	_WaitForResponse+0
;GPS_Click.c,390 :: 		break;
IT	AL
BAL	L_GPS_TaskMgr32
;GPS_Click.c,395 :: 		case 1:
L_GPS_TaskMgr34:
;GPS_Click.c,396 :: 		DrawScreen(&Screen1);
MOVW	R0, #lo_addr(_Screen1+0)
MOVT	R0, #hi_addr(_Screen1+0)
BL	_DrawScreen+0
;GPS_Click.c,398 :: 		SendToGPS("$PMTK448,7*");          // Request ZDA message
MOVW	R0, #lo_addr(?lstr15_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr15_GPS_Click+0)
BL	_SendToGPS+0
;GPS_Click.c,400 :: 		GPS_TimerHandle = get_timer();     // Get a free timer
BL	_get_timer+0
MOVW	R1, #lo_addr(_GPS_TimerHandle+0)
MOVT	R1, #hi_addr(_GPS_TimerHandle+0)
STRB	R0, [R1, #0]
;GPS_Click.c,401 :: 		set_timer(GPS_TimerHandle,1000);   // Set timer for 1 second
MOVW	R1, #1000
BL	_set_timer+0
;GPS_Click.c,402 :: 		GPS_State = 2;
MOVS	R1, #2
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,403 :: 		break;
IT	AL
BAL	L_GPS_TaskMgr32
;GPS_Click.c,404 :: 		case 2:
L_GPS_TaskMgr35:
;GPS_Click.c,405 :: 		ResponseCode = WaitForResponse();
BL	_WaitForResponse+0
; ResponseCode start address is: 8 (R2)
SXTB	R2, R0
;GPS_Click.c,406 :: 		if (ResponseCode > 0) {
CMP	R0, #0
IT	LE
BLE	L_GPS_TaskMgr36
;GPS_Click.c,407 :: 		DecodeResponse();              // Decode the response
STRB	R2, [SP, #4]
BL	_DecodeResponse+0
LDRSB	R2, [SP, #4]
;GPS_Click.c,408 :: 		GPS_State = 3;
MOVS	R1, #3
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,409 :: 		}
L_GPS_TaskMgr36:
;GPS_Click.c,410 :: 		if (ResponseCode == 0) {
CMP	R2, #0
IT	NE
BNE	L_GPS_TaskMgr37
; ResponseCode end address is: 8 (R2)
;GPS_Click.c,412 :: 		free_timer(GPS_TimerHandle);   // Return timer to pool
MOVW	R0, #lo_addr(_GPS_TimerHandle+0)
MOVT	R0, #hi_addr(_GPS_TimerHandle+0)
LDRB	R0, [R0, #0]
BL	_free_timer+0
;GPS_Click.c,413 :: 		GPS_State = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,414 :: 		}
L_GPS_TaskMgr37:
;GPS_Click.c,415 :: 		if (check_timer(GPS_TimerHandle) == 0) {
MOVW	R0, #lo_addr(_GPS_TimerHandle+0)
MOVT	R0, #hi_addr(_GPS_TimerHandle+0)
LDRB	R0, [R0, #0]
BL	_check_timer+0
CMP	R0, #0
IT	NE
BNE	L_GPS_TaskMgr38
;GPS_Click.c,416 :: 		UART6_PutQueue("Timeout\r\n");
MOVW	R0, #lo_addr(?lstr16_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr16_GPS_Click+0)
BL	_UART6_PutQueue+0
;GPS_Click.c,417 :: 		free_timer(GPS_TimerHandle);   // Return timer to pool
MOVW	R0, #lo_addr(_GPS_TimerHandle+0)
MOVT	R0, #hi_addr(_GPS_TimerHandle+0)
LDRB	R0, [R0, #0]
BL	_free_timer+0
;GPS_Click.c,418 :: 		GPS_State = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,419 :: 		}
L_GPS_TaskMgr38:
;GPS_Click.c,420 :: 		break;
IT	AL
BAL	L_GPS_TaskMgr32
;GPS_Click.c,421 :: 		case 3:
L_GPS_TaskMgr39:
;GPS_Click.c,422 :: 		MyTime.year = MyTS.yy;             // Trasfer Time and date information
MOVW	R0, #lo_addr(_MyTS+6)
MOVT	R0, #hi_addr(_MyTS+6)
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_MyTime+6)
MOVT	R0, #hi_addr(_MyTime+6)
STRH	R1, [R0, #0]
;GPS_Click.c,423 :: 		MyTime.month = MyTS.mo;
MOVW	R0, #lo_addr(_MyTS+5)
MOVT	R0, #hi_addr(_MyTS+5)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_MyTime+5)
MOVT	R0, #hi_addr(_MyTime+5)
STRB	R1, [R0, #0]
;GPS_Click.c,424 :: 		MyTime.day = MyTS.md;
MOVW	R0, #lo_addr(_MyTS+3)
MOVT	R0, #hi_addr(_MyTS+3)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_MyTime+4)
MOVT	R0, #hi_addr(_MyTime+4)
STRB	R1, [R0, #0]
;GPS_Click.c,425 :: 		MyTime.hours = MyTS.hh;
MOVW	R0, #lo_addr(_MyTS+2)
MOVT	R0, #hi_addr(_MyTS+2)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_MyTime+3)
MOVT	R0, #hi_addr(_MyTime+3)
STRB	R1, [R0, #0]
;GPS_Click.c,426 :: 		MyTime.minutes = MyTS.mn;
MOVW	R0, #lo_addr(_MyTS+1)
MOVT	R0, #hi_addr(_MyTS+1)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_MyTime+2)
MOVT	R0, #hi_addr(_MyTime+2)
STRB	R1, [R0, #0]
;GPS_Click.c,427 :: 		MyTime.seconds = MyTS.ss;
MOVW	R0, #lo_addr(_MyTS+0)
MOVT	R0, #hi_addr(_MyTS+0)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_MyTime+1)
MOVT	R0, #hi_addr(_MyTime+1)
STRB	R1, [R0, #0]
;GPS_Click.c,428 :: 		MyTime.ampm = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(_MyTime+0)
MOVT	R0, #hi_addr(_MyTime+0)
STRB	R1, [R0, #0]
;GPS_Click.c,429 :: 		RTC_Write(&MyTime);                // Write time and date into RTC
MOVW	R0, #lo_addr(_MyTime+0)
MOVT	R0, #hi_addr(_MyTime+0)
BL	_RTC_Write+0
;GPS_Click.c,430 :: 		GPS_State = 4;
MOVS	R1, #4
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,431 :: 		break;
IT	AL
BAL	L_GPS_TaskMgr32
;GPS_Click.c,432 :: 		case 4:
L_GPS_TaskMgr40:
;GPS_Click.c,439 :: 		free_timer(GPS_TimerHandle);       // Return timer to pool
MOVW	R0, #lo_addr(_GPS_TimerHandle+0)
MOVT	R0, #hi_addr(_GPS_TimerHandle+0)
LDRB	R0, [R0, #0]
BL	_free_timer+0
;GPS_Click.c,440 :: 		GPS_State = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,441 :: 		break;
IT	AL
BAL	L_GPS_TaskMgr32
;GPS_Click.c,445 :: 		case 5:
L_GPS_TaskMgr41:
;GPS_Click.c,446 :: 		TFT_Fill_Screen(CL_WHITE);
MOVW	R0, #65535
BL	_TFT_Fill_Screen+0
;GPS_Click.c,447 :: 		TFT_Image(0, 40, WorldImage_bmp, 1);
MOVW	R0, #lo_addr(_WorldImage_bmp+0)
MOVT	R0, #hi_addr(_WorldImage_bmp+0)
MOVS	R3, #1
MOV	R2, R0
MOVS	R1, #40
MOVS	R0, #0
BL	_TFT_Image+0
;GPS_Click.c,450 :: 		TFT_Set_Font(&Tahoma21x25_Regular, CL_RED, FO_HORIZONTAL);
MOVW	R0, #lo_addr(_Tahoma21x25_Regular+0)
MOVT	R0, #hi_addr(_Tahoma21x25_Regular+0)
MOVS	R2, #0
MOVW	R1, #63488
BL	_TFT_Set_Font+0
;GPS_Click.c,451 :: 		TFT_Write_Text("GPS click Example", 40, 15);
MOVW	R0, #lo_addr(?lstr17_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr17_GPS_Click+0)
MOVS	R2, #15
MOVS	R1, #40
BL	_TFT_Write_Text+0
;GPS_Click.c,452 :: 		TFT_Set_Font(&TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_TFT_defaultFont+0)
MOVT	R0, #hi_addr(_TFT_defaultFont+0)
BL	_TFT_Set_Font+0
;GPS_Click.c,453 :: 		TFT_Write_Text("Your latitude is:", 40, 200);
MOVW	R0, #lo_addr(?lstr18_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr18_GPS_Click+0)
MOVS	R2, #200
MOVS	R1, #40
BL	_TFT_Write_Text+0
;GPS_Click.c,454 :: 		TFT_Write_Text("Your longitude is:", 40, 215);
MOVW	R0, #lo_addr(?lstr19_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr19_GPS_Click+0)
MOVS	R2, #215
MOVS	R1, #40
BL	_TFT_Write_Text+0
;GPS_Click.c,456 :: 		GPS_State = 6;
MOVS	R1, #6
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,457 :: 		break;
IT	AL
BAL	L_GPS_TaskMgr32
;GPS_Click.c,458 :: 		case 6:
L_GPS_TaskMgr42:
;GPS_Click.c,459 :: 		SendToGPS("$PMTK448,1*");          // Request GLL message
MOVW	R0, #lo_addr(?lstr20_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr20_GPS_Click+0)
BL	_SendToGPS+0
;GPS_Click.c,461 :: 		GPS_TimerHandle = get_timer();     // Get a free timer
BL	_get_timer+0
MOVW	R1, #lo_addr(_GPS_TimerHandle+0)
MOVT	R1, #hi_addr(_GPS_TimerHandle+0)
STRB	R0, [R1, #0]
;GPS_Click.c,462 :: 		set_timer(GPS_TimerHandle,1000);   // Set timer for 1 second
MOVW	R1, #1000
BL	_set_timer+0
;GPS_Click.c,463 :: 		GPS_State = 7;
MOVS	R1, #7
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,464 :: 		break;
IT	AL
BAL	L_GPS_TaskMgr32
;GPS_Click.c,465 :: 		case 7:
L_GPS_TaskMgr43:
;GPS_Click.c,466 :: 		ResponseCode = WaitForResponse();
BL	_WaitForResponse+0
; ResponseCode start address is: 8 (R2)
SXTB	R2, R0
;GPS_Click.c,467 :: 		if (ResponseCode > 0) {
CMP	R0, #0
IT	LE
BLE	L_GPS_TaskMgr44
;GPS_Click.c,468 :: 		DecodeResponse();              // Decode the response
STRB	R2, [SP, #4]
BL	_DecodeResponse+0
LDRSB	R2, [SP, #4]
;GPS_Click.c,469 :: 		GPS_State = 8;
MOVS	R1, #8
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,470 :: 		}
L_GPS_TaskMgr44:
;GPS_Click.c,471 :: 		if (ResponseCode == 0) {
CMP	R2, #0
IT	NE
BNE	L_GPS_TaskMgr45
; ResponseCode end address is: 8 (R2)
;GPS_Click.c,473 :: 		free_timer(GPS_TimerHandle);   // Return timer to pool
MOVW	R0, #lo_addr(_GPS_TimerHandle+0)
MOVT	R0, #hi_addr(_GPS_TimerHandle+0)
LDRB	R0, [R0, #0]
BL	_free_timer+0
;GPS_Click.c,474 :: 		GPS_State = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,475 :: 		}
L_GPS_TaskMgr45:
;GPS_Click.c,476 :: 		if (check_timer(GPS_TimerHandle) == 0) {
MOVW	R0, #lo_addr(_GPS_TimerHandle+0)
MOVT	R0, #hi_addr(_GPS_TimerHandle+0)
LDRB	R0, [R0, #0]
BL	_check_timer+0
CMP	R0, #0
IT	NE
BNE	L_GPS_TaskMgr46
;GPS_Click.c,477 :: 		UART6_PutQueue("Timeout\r\n");
MOVW	R0, #lo_addr(?lstr21_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr21_GPS_Click+0)
BL	_UART6_PutQueue+0
;GPS_Click.c,478 :: 		free_timer(GPS_TimerHandle);   // Return timer to pool
MOVW	R0, #lo_addr(_GPS_TimerHandle+0)
MOVT	R0, #hi_addr(_GPS_TimerHandle+0)
LDRB	R0, [R0, #0]
BL	_free_timer+0
;GPS_Click.c,479 :: 		GPS_State = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,480 :: 		}
L_GPS_TaskMgr46:
;GPS_Click.c,481 :: 		break;
IT	AL
BAL	L_GPS_TaskMgr32
;GPS_Click.c,482 :: 		case 8:
L_GPS_TaskMgr47:
;GPS_Click.c,483 :: 		free_timer(GPS_TimerHandle);       // Return timer to pool
MOVW	R0, #lo_addr(_GPS_TimerHandle+0)
MOVT	R0, #hi_addr(_GPS_TimerHandle+0)
LDRB	R0, [R0, #0]
BL	_free_timer+0
;GPS_Click.c,484 :: 		GPS_State = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,485 :: 		break;
IT	AL
BAL	L_GPS_TaskMgr32
;GPS_Click.c,488 :: 		case 9:
L_GPS_TaskMgr48:
;GPS_Click.c,489 :: 		SendToGPS("$PMTK448,4*");          // Request GGA message
MOVW	R0, #lo_addr(?lstr22_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr22_GPS_Click+0)
BL	_SendToGPS+0
;GPS_Click.c,491 :: 		GPS_TimerHandle = get_timer();     // Get a free timer
BL	_get_timer+0
MOVW	R1, #lo_addr(_GPS_TimerHandle+0)
MOVT	R1, #hi_addr(_GPS_TimerHandle+0)
STRB	R0, [R1, #0]
;GPS_Click.c,492 :: 		set_timer(GPS_TimerHandle,1000);   // Set timer for 1 second
MOVW	R1, #1000
BL	_set_timer+0
;GPS_Click.c,493 :: 		GPS_State = 10;
MOVS	R1, #10
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,494 :: 		break;
IT	AL
BAL	L_GPS_TaskMgr32
;GPS_Click.c,495 :: 		case 10:
L_GPS_TaskMgr49:
;GPS_Click.c,496 :: 		ResponseCode = WaitForResponse();
BL	_WaitForResponse+0
; ResponseCode start address is: 8 (R2)
SXTB	R2, R0
;GPS_Click.c,497 :: 		if (ResponseCode > 0) {
CMP	R0, #0
IT	LE
BLE	L_GPS_TaskMgr50
;GPS_Click.c,498 :: 		DecodeResponse();              // Decode the response
STRB	R2, [SP, #4]
BL	_DecodeResponse+0
LDRSB	R2, [SP, #4]
;GPS_Click.c,499 :: 		GPS_State = 11;
MOVS	R1, #11
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,500 :: 		}
L_GPS_TaskMgr50:
;GPS_Click.c,501 :: 		if (ResponseCode == 0) {
CMP	R2, #0
IT	NE
BNE	L_GPS_TaskMgr51
; ResponseCode end address is: 8 (R2)
;GPS_Click.c,503 :: 		free_timer(GPS_TimerHandle);   // Return timer to pool
MOVW	R0, #lo_addr(_GPS_TimerHandle+0)
MOVT	R0, #hi_addr(_GPS_TimerHandle+0)
LDRB	R0, [R0, #0]
BL	_free_timer+0
;GPS_Click.c,504 :: 		GPS_State = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,505 :: 		}
L_GPS_TaskMgr51:
;GPS_Click.c,506 :: 		if (check_timer(GPS_TimerHandle) == 0) {
MOVW	R0, #lo_addr(_GPS_TimerHandle+0)
MOVT	R0, #hi_addr(_GPS_TimerHandle+0)
LDRB	R0, [R0, #0]
BL	_check_timer+0
CMP	R0, #0
IT	NE
BNE	L_GPS_TaskMgr52
;GPS_Click.c,507 :: 		UART6_PutQueue("Timeout\r\n");
MOVW	R0, #lo_addr(?lstr23_GPS_Click+0)
MOVT	R0, #hi_addr(?lstr23_GPS_Click+0)
BL	_UART6_PutQueue+0
;GPS_Click.c,508 :: 		free_timer(GPS_TimerHandle);   // Return timer to pool
MOVW	R0, #lo_addr(_GPS_TimerHandle+0)
MOVT	R0, #hi_addr(_GPS_TimerHandle+0)
LDRB	R0, [R0, #0]
BL	_free_timer+0
;GPS_Click.c,509 :: 		GPS_State = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,510 :: 		}
L_GPS_TaskMgr52:
;GPS_Click.c,511 :: 		break;
IT	AL
BAL	L_GPS_TaskMgr32
;GPS_Click.c,512 :: 		case 11:
L_GPS_TaskMgr53:
;GPS_Click.c,513 :: 		free_timer(GPS_TimerHandle);       // Return timer to pool
MOVW	R0, #lo_addr(_GPS_TimerHandle+0)
MOVT	R0, #hi_addr(_GPS_TimerHandle+0)
LDRB	R0, [R0, #0]
BL	_free_timer+0
;GPS_Click.c,514 :: 		GPS_State = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;GPS_Click.c,515 :: 		break;
IT	AL
BAL	L_GPS_TaskMgr32
;GPS_Click.c,521 :: 		}
L_GPS_TaskMgr31:
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_GPS_TaskMgr33
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_GPS_TaskMgr34
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #2
IT	EQ
BEQ	L_GPS_TaskMgr35
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #3
IT	EQ
BEQ	L_GPS_TaskMgr39
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #4
IT	EQ
BEQ	L_GPS_TaskMgr40
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #5
IT	EQ
BEQ	L_GPS_TaskMgr41
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #6
IT	EQ
BEQ	L_GPS_TaskMgr42
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #7
IT	EQ
BEQ	L_GPS_TaskMgr43
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #8
IT	EQ
BEQ	L_GPS_TaskMgr47
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #9
IT	EQ
BEQ	L_GPS_TaskMgr48
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #10
IT	EQ
BEQ	L_GPS_TaskMgr49
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #11
IT	EQ
BEQ	L_GPS_TaskMgr53
L_GPS_TaskMgr32:
;GPS_Click.c,522 :: 		}
L_end_GPS_TaskMgr:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _GPS_TaskMgr
_SendToGPS:
;GPS_Click.c,528 :: 		void SendToGPS(char *s) {
; Checksum start address is: 8 (R2)
SUB	SP, SP, #20
STR	LR, [SP, #0]
;GPS_Click.c,535 :: 		Checksum = 0;
;GPS_Click.c,528 :: 		void SendToGPS(char *s) {
;GPS_Click.c,535 :: 		Checksum = 0;
;GPS_Click.c,528 :: 		void SendToGPS(char *s) {
STR	R0, [SP, #16]
; Checksum end address is: 8 (R2)
;GPS_Click.c,535 :: 		Checksum = 0;
; Checksum start address is: 8 (R2)
MOVS	R2, #0
;GPS_Click.c,536 :: 		for (i=1; i<strlen(s)-1; i++) {
; i start address is: 20 (R5)
MOVS	R5, #1
; Checksum end address is: 8 (R2)
; i end address is: 20 (R5)
UXTB	R4, R5
L_SendToGPS54:
; i start address is: 16 (R4)
; Checksum start address is: 8 (R2)
STRB	R2, [SP, #4]
LDR	R0, [SP, #16]
BL	_strlen+0
LDRB	R2, [SP, #4]
SUBS	R1, R0, #1
SXTH	R1, R1
CMP	R4, R1
IT	GE
BGE	L_SendToGPS55
;GPS_Click.c,537 :: 		Checksum ^= s[i];
LDR	R1, [SP, #16]
ADDS	R1, R1, R4
LDRB	R1, [R1, #0]
EOR	R1, R2, R1, LSL #0
; Checksum end address is: 8 (R2)
; Checksum start address is: 0 (R0)
UXTB	R0, R1
;GPS_Click.c,536 :: 		for (i=1; i<strlen(s)-1; i++) {
ADDS	R1, R4, #1
; i end address is: 16 (R4)
; i start address is: 20 (R5)
UXTB	R5, R1
;GPS_Click.c,538 :: 		}
UXTB	R2, R0
; Checksum end address is: 0 (R0)
; i end address is: 20 (R5)
UXTB	R4, R5
IT	AL
BAL	L_SendToGPS54
L_SendToGPS55:
;GPS_Click.c,541 :: 		sprintf(Buf1,"%02X\r\n",Checksum);
; Checksum start address is: 8 (R2)
UXTB	R3, R2
; Checksum end address is: 8 (R2)
MOVW	R2, #lo_addr(?lstr_24_GPS_Click+0)
MOVT	R2, #hi_addr(?lstr_24_GPS_Click+0)
ADD	R1, SP, #8
PUSH	(R3)
PUSH	(R2)
PUSH	(R1)
BL	_sprintf+0
ADD	SP, SP, #12
;GPS_Click.c,542 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 24 (R6)
MOV	R6, R0
;GPS_Click.c,543 :: 		strcpy(BufNum,s);
LDR	R1, [SP, #16]
BL	_strcpy+0
;GPS_Click.c,544 :: 		strcat(BufNum,Buf1);
ADD	R1, SP, #8
MOV	R0, R6
BL	_strcat+0
;GPS_Click.c,547 :: 		UART2_PutQueue(BufNum);
MOV	R0, R6
; BufNum end address is: 24 (R6)
BL	_UART2_PutQueue+0
;GPS_Click.c,548 :: 		}
L_end_SendToGPS:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _SendToGPS
_GetToken:
;GPS_Click.c,556 :: 		short GetToken(char *s, char *t) {
; t start address is: 4 (R1)
; s start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
MOV	R6, R0
MOV	R8, R1
; t end address is: 4 (R1)
; s end address is: 0 (R0)
; s start address is: 24 (R6)
; t start address is: 32 (R8)
;GPS_Click.c,559 :: 		if (strlen(s) == 0) {          // If the string is empty
MOV	R0, R6
BL	_strlen+0
CMP	R0, #0
IT	NE
BNE	L_GetToken57
; s end address is: 24 (R6)
; t end address is: 32 (R8)
;GPS_Click.c,560 :: 		return (-1);
MOVS	R0, #-1
SXTB	R0, R0
IT	AL
BAL	L_end_GetToken
;GPS_Click.c,561 :: 		}
L_GetToken57:
;GPS_Click.c,562 :: 		p = strchr(s,',');             // Find location of comma
; t start address is: 32 (R8)
; s start address is: 24 (R6)
MOVS	R1, #44
MOV	R0, R6
BL	_strchr+0
; p start address is: 28 (R7)
MOV	R7, R0
;GPS_Click.c,563 :: 		if (p == NUL) {                // If didn't find a comma
CMP	R0, #0
IT	NE
BNE	L_GetToken58
; p end address is: 28 (R7)
;GPS_Click.c,564 :: 		strcpy(t,s);               // Copy the final token
MOV	R1, R6
MOV	R0, R8
; t end address is: 32 (R8)
BL	_strcpy+0
;GPS_Click.c,565 :: 		strcpy(s,"");              // Nullify the input string
MOVW	R2, #lo_addr(?lstr25_GPS_Click+0)
MOVT	R2, #hi_addr(?lstr25_GPS_Click+0)
MOV	R1, R2
MOV	R0, R6
; s end address is: 24 (R6)
BL	_strcpy+0
;GPS_Click.c,566 :: 		return 0;
MOVS	R0, #0
SXTB	R0, R0
IT	AL
BAL	L_end_GetToken
;GPS_Click.c,567 :: 		}
L_GetToken58:
;GPS_Click.c,568 :: 		s[strlen(s)-strlen(p)] = '\0'; // Replace the comma with a null
; p start address is: 28 (R7)
; t start address is: 32 (R8)
; s start address is: 24 (R6)
MOV	R0, R6
BL	_strlen+0
STRH	R0, [SP, #4]
MOV	R0, R7
BL	_strlen+0
LDRSH	R2, [SP, #4]
SUB	R2, R2, R0
SXTH	R2, R2
ADDS	R3, R6, R2
MOVS	R2, #0
STRB	R2, [R3, #0]
;GPS_Click.c,569 :: 		strcpy(t,s);                   // Copy the token
MOV	R1, R6
MOV	R0, R8
; t end address is: 32 (R8)
BL	_strcpy+0
;GPS_Click.c,570 :: 		p++;                           // Advance the pointer to the next character position
ADDS	R2, R7, #1
; p end address is: 28 (R7)
;GPS_Click.c,571 :: 		strcpy(s,p);                   // Overlay the input string minus the first token
MOV	R1, R2
MOV	R0, R6
; s end address is: 24 (R6)
BL	_strcpy+0
;GPS_Click.c,572 :: 		return 1;
MOVS	R0, #1
SXTB	R0, R0
;GPS_Click.c,573 :: 		}
L_end_GetToken:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _GetToken
