/**************************************************************************************************
  GPS_Click.h
  GPS application.
**************************************************************************************************/
#ifndef GPS_CLICK_H
#define GPS_CLICK_H


// Defines
const code char Tahoma21x25_Regular[];
const code char far WorldImage_bmp[102406];


// Structures
typedef struct {
     char ID[8];
     char Time[12];
     char Latitude[12];
     char NS[4];
     char Longitude[12];
     char EW[4];
     char Fix[2];
     char NumSat[4];
     char HDOP[8];
     char Altitude[8];
     char FF1[2];
     char Height[8];
     char FF2[2];
     char Age[8];
     char DGPS_ID[8];
} GPS_GPGGA;
     



// Function Prototypes
void GPS_Initialize(void);

void Display_Cursor(signed int lat, signed int lon, char *lt_Str, char *lng_Str, unsigned int color);

void DecodeResponse(void);
short WaitForResponse(void);
void GPS_TaskMgr(void);
void SendToGPS(char *s);
short GetToken(char *s, char *t);


// In GPS_events_code.c
void UpdateLabel1(char *msg, unsigned int Color);



#endif