#include "GPS_objects.h"
#include "GPS_resources.h"

//--------------------- User code ---------------------//






// Label functions *************************************************************
void ClearLbl( TLabel *_label) {
     TFT_Set_Font(_label->FontName, Box1.Color, FO_HORIZONTAL);
     TFT_Write_Text(_label->Caption, _label->Left, _label->Top);
}

void ClearLabel( TLabel *_label) {
     ClearLbl(_label);
     strcpy(_label->Caption, "");
}

void DrawLbl( TLabel *_label) {
     TFT_Set_Font(_label->FontName, _label->Font_Color, FO_HORIZONTAL);
     TFT_Write_Text(_label->Caption, _label->Left, _label->Top);
}

void DrawBlueLabel( TLabel *_label) {
     _label->Font_Color = CL_BLUE;
     DrawLbl(_label);
}

void DrawBlackLabel( TLabel *_label) {
     _label->Font_Color = CL_BLACK;
     DrawLbl(_label);
}


void UpdateLabel1(char *msg, unsigned int Color) {
     ClearLabel(&Label1);
     if (strlen(msg)<=36) {
         strcpy(Label1.Caption,msg);
         Label1.Font_Color = Color;
         DrawLbl(&Label1);
     }
}






//----------------- End of User code ------------------//

// Event Handlers

