/**************************************************************************************************
  RTC.h
  Real Time Clock functin prototypes
**************************************************************************************************/
#ifndef RTC_H
#define RTC_H


// Defines


// Time struct with am/pm
typedef struct Time {
     short ampm;
     short seconds;
     short minutes;
     short hours;
     short day;
     short month;
     int year;
} TTime;



// Function Prototypes
void RTC_Initialize(void);
void RTC_Write(TTime *RTCC_Time);
void RTC_Read(TTime *RTCC_Time);

void RTC_WriteSRAM(unsigned short Reg, unsigned long Value);
unsigned long RTC_ReadSRAM(unsigned short Reg);

void RTC_WriteCCR(char Cal);
void RTC_ReadCCR(void);




#endif