#line 1 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/gps_click.h"
#line 10 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/gps_click.h"
const code char Tahoma21x25_Regular[];
const code char far WorldImage_bmp[102406];



typedef struct {
 char ID[8];
 char Time[12];
 char Latitude[12];
 char NS[4];
 char Longitude[12];
 char EW[4];
 char Fix[2];
 char NumSat[4];
 char HDOP[8];
 char Altitude[8];
 char FF1[2];
 char Height[8];
 char FF2[2];
 char Age[8];
 char DGPS_ID[8];
} GPS_GPGGA;





void GPS_Initialize(void);

void Display_Cursor(signed int lat, signed int lon, char *lt_Str, char *lng_Str, unsigned int color);

void DecodeResponse(void);
short WaitForResponse(void);
void GPS_TaskMgr(void);
void SendToGPS(char *s);
short GetToken(char *s, char *t);



void UpdateLabel1(char *msg, unsigned int Color);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/buffers.h"
#line 14 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/buffers.h"
char* GetBuffer(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart6.h"
#line 20 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart6.h"
typedef void (*tPointerFcn)(void);





void UART6_SetBaud(void);
void UART6_StartRx(void);
void UART6_StartTx(void);

void UART6_Initialize(void);

void UART6_RxQueueInit(void);
char UART6_GetChar(char *rxbyte);

void UART6_Rx(void);
void UART6_Rx1(void);
void UART6_Rx2(void);


void UART6_TxQueueInit(void);
void UART6_PutQueue(char *msg);

void UART6_SendMsg(char *s);
void UART6_CheckQueue(void);



void ButtonRound1OnClick();
void ButtonRound2OnClick();
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart2.h"
#line 21 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart2.h"
void UART2_SetBaud(void);
void UART2_StartRx(void);
void UART2_StartTx(void);

void UART2_Initialize(void);

void UART2_RxQueueInit(void);
char UART2_GetChar(char *rxbyte);

void UART2_Rx(void);
void UART2_Rx1(void);
void UART2_Rx2(void);


void UART2_TxQueueInit(void);
void UART2_PutQueue(char *msg);

void UART2_SendMsg(char *s);
void UART2_CheckQueue(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
#line 9 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
void TimerInit();
void TimerCheck();
#line 31 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
struct timers {
 unsigned long int TimerField;
 unsigned short int Free;
};
#line 43 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
void init_timerpool(void);
#line 52 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
unsigned short int get_timer(void);
#line 61 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
void free_timer(unsigned short int nbr);
#line 71 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
void set_timer(unsigned short int nbr, unsigned long int tout);
#line 80 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
unsigned long int check_timer(unsigned short int nbr);
#line 89 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
void irqhandler_timer(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/__time.h"
#line 27 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/__time.h"
typedef struct {
 unsigned char ss ;
 unsigned char mn ;
 unsigned char hh ;
 unsigned char md ;
 unsigned char wd ;
 unsigned char mo ;
 unsigned int yy ;
} TimeStruct;
#line 40 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/__time.h"
extern long Time_jd1970 ;
#line 45 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/__time.h"
long Time_dateToEpoch(TimeStruct *ts) ;
long Time_dateDiff(TimeStruct *t1, TimeStruct *t2);
void Time_epochToDate(long e, TimeStruct *ts) ;
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rtc.h"
#line 13 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rtc.h"
typedef struct Time {
 short ampm;
 short seconds;
 short minutes;
 short hours;
 short day;
 short month;
 int year;
} TTime;




void RTC_Initialize(void);
void RTC_Write(TTime *RTCC_Time);
void RTC_Read(TTime *RTCC_Time);

void RTC_WriteSRAM(unsigned short Reg, unsigned long Value);
unsigned long RTC_ReadSRAM(unsigned short Reg);

void RTC_WriteCCR(char Cal);
void RTC_ReadCCR(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/common.h"
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/gps_resources.h"
const code char Tahoma21x25_Regular[];
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/gps_objects.h"
typedef struct Screen TScreen;

typedef struct {
 unsigned int X_Min;
 unsigned int X_Max;
 unsigned int Y_Min;
 unsigned int Y_Max;
 char Rotate;
} TTPConstants;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct Box {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TBox;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int BoxesCount;
 TBox * const code *Boxes;
};

extern TScreen Screen1;
extern TBox Box1;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label4;
extern TLabel Label5;
extern TLabel * const code Screen1_Labels[5];
extern TBox * const code Screen1_Boxes[1];




void ButtonRound1OnClick();




extern char Box1_Caption[];
extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char Label5_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawLabel(TLabel *ALabel);
void DrawBox(TBox *ABox);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 48 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
sbit GPS_RST at GPIOE_ODR.B4;
sbit GPS_TIMEPULSE at GPIOE_IDR.B1;
sbit GPS_SCL at GPIOF_IDR.B1;
sbit GPS_SDA at GPIOF_IDR.B0;




char GPS_State = 0;
char DecodeBuffer[256];

char ID[8];
char Time[16];
char Day[4];
char Month[4];
char Year[8];
char Hour[4];
char Minute[4];
char Second[4];

GPS_GPGGA GGA;

TimeStruct MyTS;
long Epoch;
char WeekDay[16];
char GPS_Count = 0;
char UpdateFlag = 0;

unsigned short int GPS_TimerHandle;




char *string;
int latitude, longitude, oldlatitude, oldlongitude;
char lat_str[8];
char long_str[9];




extern char U2_MsgFlg;
extern char U2_RcvBuf[];
extern TTime MyTime;
#line 108 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
void GPS_Interrupt() iv IVT_INT_EXTI1 ics ICS_AUTO {
 PR1_bit = 1;

 GPS_Count += 1;
 if (GPS_Count > 9) {
 GPS_Count = 0;
 UpdateFlag = 1;
 }
}
#line 138 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
void GPS_Initialize(void) {










 GPIO_Digital_Output(&GPIOE_BASE,_GPIO_PINMASK_4);
 GPIO_Digital_Input(&GPIOE_BASE,_GPIO_PINMASK_1);
 GPIO_Digital_Input(&GPIOF_BASE,_GPIO_PINMASK_1);
 GPIO_Digital_Input(&GPIOF_BASE,_GPIO_PINMASK_0);



 GPS_RST = 0;
 Delay_ms(10);
 GPS_RST = 1;


 MR1_bit = 1;


 TR1_bit = 1;


 SYSCFGEN_bit = 1;


 SYSCFG_EXTICR1 = 0x00000040;

 NVIC_IntEnable(IVT_INT_EXTI1);


}
#line 180 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
void Display_Cursor(signed int lat, signed int lon, char *lt_Str, char *lng_Str, unsigned int color) {
 unsigned long latitude_y, longitude_x;




 latitude_y = ((160*(90 - lat))/180) + 40;
 longitude_x = (320*(lon + 180));
 longitude_x = longitude_x/360 - 10;


 TFT_Set_Pen(CL_RED, 1);
 TFT_H_Line(longitude_x - 2, longitude_x + 2, latitude_y );
 TFT_V_Line( latitude_y - 2, latitude_y + 2, longitude_x );

 TFT_Set_Font(&TFT_defaultFont, color, FO_HORIZONTAL);
 TFT_Write_Text(lt_Str, 160, 200);
 TFT_Write_Text(lng_Str, 160, 215);
}
#line 203 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
void DecodeResponse(void) {
 char *BufNum;

 if ((DecodeBuffer[1] == 'G') && (DecodeBuffer[2] == 'P')) {
 if ((DecodeBuffer[3] == 'Z') && (DecodeBuffer[4] == 'D') && (DecodeBuffer[5] == 'A')) {
  UART6_PutQueue("Received ZDA\r\n") ;
 GetToken(DecodeBuffer,ID);
 GetToken(DecodeBuffer,Time);
 GetToken(DecodeBuffer,Day);
 GetToken(DecodeBuffer,Month);
 GetToken(DecodeBuffer,Year);
 Hour[0] = Time[0];
 Hour[1] = Time[1];
 Hour[2] = 0;
 Minute[0] = Time[2];
 Minute[1] = Time[3];
 Minute[2] = 0;
 Second[0] = Time[4];
 Second[1] = Time[5];
 Second[2] = 0;
#line 229 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
 MyTS.yy = atoi(Year);
 MyTS.mo = atoi(Month);
 MyTS.md = atoi(Day);
 MyTS.hh = atoi(Hour);
 MyTS.mn = atoi(Minute);
 MyTS.ss = atoi(Second);

 Epoch = Time_dateToEpoch(&MyTS);
 Epoch -= 14400;
 Time_epochToDate(Epoch, &MyTS);

 switch (MyTS.wd) {
 case 0:
 strcpy(WeekDay,"Monday");
 break;
 case 1:
 strcpy(WeekDay,"Tuesday");
 break;
 case 2:
 strcpy(WeekDay,"Wednesday");
 break;
 case 3:
 strcpy(WeekDay,"Thursday");
 break;
 case 4:
 strcpy(WeekDay,"Friday");
 break;
 case 5:
 strcpy(WeekDay,"Saturday");
 break;
 case 6:
 strcpy(WeekDay,"Sunday");
 break;
 }


 BufNum = GetBuffer();
 sprintf(BufNum,"GPS: %04d/%02d/%02d %02d:%02d:%02d %s\r\n",MyTS.yy,MyTS.mo,MyTS.md,MyTS.hh,MyTS.mn,MyTS.ss,WeekDay);
 UART6_PutQueue(BufNum);


 UpdateLabel1(BufNum,CL_BLACK);


 }

 if ((DecodeBuffer[3] == 'G') && (DecodeBuffer[4] == 'G') && (DecodeBuffer[5] == 'A')) {
  UART6_PutQueue("Received GGA\r\n") ;
 GetToken(DecodeBuffer,GGA.ID);
 GetToken(DecodeBuffer,GGA.Time);
 GetToken(DecodeBuffer,GGA.Latitude);
 GetToken(DecodeBuffer,GGA.NS);
 GetToken(DecodeBuffer,GGA.Longitude);
 GetToken(DecodeBuffer,GGA.EW);
 GetToken(DecodeBuffer,GGA.Fix);
 GetToken(DecodeBuffer,GGA.NumSat);
 GetToken(DecodeBuffer,GGA.HDOP);
 GetToken(DecodeBuffer,GGA.Altitude);
 GetToken(DecodeBuffer,GGA.FF1);
 GetToken(DecodeBuffer,GGA.Height);
 GetToken(DecodeBuffer,GGA.FF2);
 GetToken(DecodeBuffer,GGA.Age);
 GetToken(DecodeBuffer,GGA.DGPS_ID);

 BufNum = GetBuffer();
 sprintf(BufNum,"%s;%s;%s;%s;%s;%s;%s;%s\r\n",GGA.ID,GGA.Time,GGA.Latitude,GGA.NS,GGA.Longitude,GGA.EW,GGA.Fix,GGA.NumSat);
 UART6_PutQueue(BufNum);
 }

 if ((DecodeBuffer[3] == 'G') && (DecodeBuffer[4] == 'L') && (DecodeBuffer[5] == 'L')) {
  UART6_PutQueue("Received GLL\r\n") ;


 string = strstr(U2_RcvBuf,"$GPGLL");

 latitude = (string[7]-48)*10 + (string[8]-48);
 longitude = (string[19]-48)*100 + (string[20]-48)*10 + (string[21]-48);
 if (string[17] == 'S') {
 latitude = 0 - latitude;
 }

 if (string[30] == 'W') {
 longitude = 0 - longitude;
 }

 if ((oldlongitude != longitude) | (oldlatitude != latitude)){
 Display_Cursor(latitude, longitude, &lat_str, &long_str, CL_WHITE);

 lat_str[0] = string[7];
 lat_str[1] = string[8];
 lat_str[2] = '-';
 lat_str[3] = string[9];
 lat_str[4] = string[10];
 lat_str[5] = ' ';
 lat_str[6] = string[17];
 lat_str[7] = 0;

 long_str[0] = string[19];
 long_str[1] = string[20];
 long_str[2] = string[21];
 long_str[3] = '-';
 long_str[4] = string[22];
 long_str[5] = string[23];
 long_str[6] = ' ';
 long_str[7] = string[30];
 long_str[8] = 0;

 Display_Cursor(latitude, longitude, &lat_str, &long_str, CL_RED);
 }
 }
 }
}
#line 348 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
short WaitForResponse(void) {
 char *BufNum;

 if (U2_MsgFlg) {
 U2_MsgFlg = 0;

 if (strlen(U2_RcvBuf) > 255) {
 UART6_PutQueue("Message received from GPS is too long\r\n");
 return 0;
 } else {
 strcpy(DecodeBuffer,U2_RcvBuf);

 BufNum = GetBuffer();
 strcpy(BufNum,U2_RcvBuf);
 UART6_PutQueue(BufNum);

 return 1;
 }
 } else {
 return -1;
 }
}
#line 374 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
void GPS_TaskMgr(void) {
 char *BufNum;
 short ResponseCode;

 switch (GPS_State) {


 case 0:
 ResponseCode = WaitForResponse();
#line 390 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
 break;




 case 1:
 DrawScreen(&Screen1);

 SendToGPS("$PMTK448,7*");

 GPS_TimerHandle = get_timer();
 set_timer(GPS_TimerHandle,1000);
 GPS_State = 2;
 break;
 case 2:
 ResponseCode = WaitForResponse();
 if (ResponseCode > 0) {
 DecodeResponse();
 GPS_State = 3;
 }
 if (ResponseCode == 0) {

 free_timer(GPS_TimerHandle);
 GPS_State = 0;
 }
 if (check_timer(GPS_TimerHandle) == 0) {
 UART6_PutQueue("Timeout\r\n");
 free_timer(GPS_TimerHandle);
 GPS_State = 0;
 }
 break;
 case 3:
 MyTime.year = MyTS.yy;
 MyTime.month = MyTS.mo;
 MyTime.day = MyTS.md;
 MyTime.hours = MyTS.hh;
 MyTime.minutes = MyTS.mn;
 MyTime.seconds = MyTS.ss;
 MyTime.ampm = 0;
 RTC_Write(&MyTime);
 GPS_State = 4;
 break;
 case 4:
#line 439 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
 free_timer(GPS_TimerHandle);
 GPS_State = 0;
 break;



 case 5:
 TFT_Fill_Screen(CL_WHITE);
 TFT_Image(0, 40, WorldImage_bmp, 1);


 TFT_Set_Font(&Tahoma21x25_Regular, CL_RED, FO_HORIZONTAL);
 TFT_Write_Text("GPS click Example", 40, 15);
 TFT_Set_Font(&TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
 TFT_Write_Text("Your latitude is:", 40, 200);
 TFT_Write_Text("Your longitude is:", 40, 215);

 GPS_State = 6;
 break;
 case 6:
 SendToGPS("$PMTK448,1*");

 GPS_TimerHandle = get_timer();
 set_timer(GPS_TimerHandle,1000);
 GPS_State = 7;
 break;
 case 7:
 ResponseCode = WaitForResponse();
 if (ResponseCode > 0) {
 DecodeResponse();
 GPS_State = 8;
 }
 if (ResponseCode == 0) {

 free_timer(GPS_TimerHandle);
 GPS_State = 0;
 }
 if (check_timer(GPS_TimerHandle) == 0) {
 UART6_PutQueue("Timeout\r\n");
 free_timer(GPS_TimerHandle);
 GPS_State = 0;
 }
 break;
 case 8:
 free_timer(GPS_TimerHandle);
 GPS_State = 0;
 break;


 case 9:
 SendToGPS("$PMTK448,4*");

 GPS_TimerHandle = get_timer();
 set_timer(GPS_TimerHandle,1000);
 GPS_State = 10;
 break;
 case 10:
 ResponseCode = WaitForResponse();
 if (ResponseCode > 0) {
 DecodeResponse();
 GPS_State = 11;
 }
 if (ResponseCode == 0) {

 free_timer(GPS_TimerHandle);
 GPS_State = 0;
 }
 if (check_timer(GPS_TimerHandle) == 0) {
 UART6_PutQueue("Timeout\r\n");
 free_timer(GPS_TimerHandle);
 GPS_State = 0;
 }
 break;
 case 11:
 free_timer(GPS_TimerHandle);
 GPS_State = 0;
 break;





 }
}
#line 528 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
void SendToGPS(char *s) {
 char Checksum;
 char i;
 char *BufNum;
 char Buf1[8];


 Checksum = 0;
 for (i=1; i<strlen(s)-1; i++) {
 Checksum ^= s[i];
 }


 sprintf(Buf1,"%02X\r\n",Checksum);
 BufNum = GetBuffer();
 strcpy(BufNum,s);
 strcat(BufNum,Buf1);


 UART2_PutQueue(BufNum);
}
#line 556 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_Click.c"
short GetToken(char *s, char *t) {
 char *p;

 if (strlen(s) == 0) {
 return (-1);
 }
 p = strchr(s,',');
 if (p ==  0x00 ) {
 strcpy(t,s);
 strcpy(s,"");
 return 0;
 }
 s[strlen(s)-strlen(p)] = '\0';
 strcpy(t,s);
 p++;
 strcpy(s,p);
 return 1;
}
