#line 1 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart6.h"
#line 20 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart6.h"
typedef void (*tPointerFcn)(void);





void UART6_SetBaud(void);
void UART6_StartRx(void);
void UART6_StartTx(void);

void UART6_Initialize(void);

void UART6_RxQueueInit(void);
char UART6_GetChar(char *rxbyte);

void UART6_Rx(void);
void UART6_Rx1(void);
void UART6_Rx2(void);


void UART6_TxQueueInit(void);
void UART6_PutQueue(char *msg);

void UART6_SendMsg(char *s);
void UART6_CheckQueue(void);



void ButtonRound1OnClick();
void ButtonRound2OnClick();
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart2.h"
#line 21 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart2.h"
void UART2_SetBaud(void);
void UART2_StartRx(void);
void UART2_StartTx(void);

void UART2_Initialize(void);

void UART2_RxQueueInit(void);
char UART2_GetChar(char *rxbyte);

void UART2_Rx(void);
void UART2_Rx1(void);
void UART2_Rx2(void);


void UART2_TxQueueInit(void);
void UART2_PutQueue(char *msg);

void UART2_SendMsg(char *s);
void UART2_CheckQueue(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/buffers.h"
#line 14 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/buffers.h"
char* GetBuffer(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/gps_click.h"
#line 10 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/gps_click.h"
const code char Tahoma21x25_Regular[];
const code char far WorldImage_bmp[102406];



typedef struct {
 char ID[8];
 char Time[12];
 char Latitude[12];
 char NS[4];
 char Longitude[12];
 char EW[4];
 char Fix[2];
 char NumSat[4];
 char HDOP[8];
 char Altitude[8];
 char FF1[2];
 char Height[8];
 char FF2[2];
 char Age[8];
 char DGPS_ID[8];
} GPS_GPGGA;





void GPS_Initialize(void);

void Display_Cursor(signed int lat, signed int lon, char *lt_Str, char *lng_Str, unsigned int color);

void DecodeResponse(void);
short WaitForResponse(void);
void GPS_TaskMgr(void);
void SendToGPS(char *s);
short GetToken(char *s, char *t);



void UpdateLabel1(char *msg, unsigned int Color);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rtc.h"
#line 13 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rtc.h"
typedef struct Time {
 short ampm;
 short seconds;
 short minutes;
 short hours;
 short day;
 short month;
 int year;
} TTime;




void RTC_Initialize(void);
void RTC_Write(TTime *RTCC_Time);
void RTC_Read(TTime *RTCC_Time);

void RTC_WriteSRAM(unsigned short Reg, unsigned long Value);
unsigned long RTC_ReadSRAM(unsigned short Reg);

void RTC_WriteCCR(char Cal);
void RTC_ReadCCR(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/__time.h"
#line 27 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/__time.h"
typedef struct {
 unsigned char ss ;
 unsigned char mn ;
 unsigned char hh ;
 unsigned char md ;
 unsigned char wd ;
 unsigned char mo ;
 unsigned int yy ;
} TimeStruct;
#line 40 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/__time.h"
extern long Time_jd1970 ;
#line 45 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/__time.h"
long Time_dateToEpoch(TimeStruct *ts) ;
long Time_dateDiff(TimeStruct *t1, TimeStruct *t2);
void Time_epochToDate(long e, TimeStruct *ts) ;
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rgb.h"
#line 13 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rgb.h"
void RGB_Initialize(void);
void RGB_Set_Red(void);
void RGB_Clr_Red(void);
void RGB_Set_Green(void);
void RGB_Clr_Green(void);
void RGB_Set_Blue(void);
void RGB_Clr_Blue(void);
#pragma funcall UART6_Rx1, UART6_Rx2
#line 30 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
char RxIn;
char RxOut;
char RxQueue[ 256 ];

char RcvBuf[ 256 ];
char RcvBufPtr;


char TxIn;
char TxOut;
char *TxQueue[ 64 ];

char *XmtBuf;
char XmtBufPtr;



tPointerFcn UART6_RxFuncPtr = UART6_Rx1;










extern TimeStruct MyTS;
extern TTime MyTime;
extern char GPS_State;
#line 68 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_Interrupt() iv IVT_INT_USART6 ics ICS_AUTO {
 char R_data;
 char T_data;


 if ((RXNE_USART6_SR_bit) ) {
 R_data = USART6_DR;
 RxQueue[RxIn++] = R_data;
 if (RxIn > ( 256 -1))
 RxIn = 0;
 }

 if ((TXE_USART6_SR_bit)&&(TXEIE_USART6_CR1_bit)) {
 T_data = XmtBuf[XmtBufPtr++];
 if (T_data ==  0x00 ) {
 TXEIE_USART6_CR1_bit = 0;
 } else {
 USART6_DR = T_data;
 }
 }
}
#line 92 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_SetBaud(void) {

 GPIOCEN_bit = 1;

 GPIOC_MODER |= 0x0000A000;
 GPIOC_AFRL |= 0x88000000;

 USART6EN_bit = 1;
 USART6_CR1 |= 0x0000200C;
 USART6_BRR = 0x00001E84;

 NVIC_IntEnable(IVT_INT_USART6);

}
#line 109 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_StartRx(void) {
 RXNEIE_USART6_CR1_bit = 1;
}
#line 115 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_StartTx(void) {
 TXEIE_USART6_CR1_bit = 1;
}
#line 126 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_Initialize(void) {
 UART6_RxQueueInit();
 UART6_TxQueueInit();

 UART6_SetBaud();
 UART6_StartRx();
}
#line 137 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_RxQueueInit(void) {
 RxIn = RxOut = 0;
 RcvBufPtr = 0;
}
#line 146 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
char UART6_GetChar(char *rxbyte) {
 if (RxIn != RxOut) {
 *rxbyte = RxQueue[RxOut++];
 if (RxOut > ( 256 -1))
 RxOut = 0;
 return 1;
 }else{
 return 0;
 }
}
#line 159 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_Rx(void) {
 UART6_RxFuncPtr();
}
#line 166 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_Rx1(void){
 char rxchar;

 if (UART6_GetChar(&rxchar)) {
 switch (rxchar) {
 case  0x00 :
 break;

 case '\r':
 break;

 case '\n':
 RcvBuf[RcvBufPtr++] = rxchar;
 RcvBuf[RcvBufPtr] = 0;
 RcvBufPtr = 0;
 UART6_RxFuncPtr = UART6_Rx2;
 break;

 default:
 if (RcvBufPtr < ( 256 -2))
 RcvBuf[RcvBufPtr++] = rxchar;
 break;
 }
 }
}
#line 195 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_Rx2(void) {
 char *BufNum;
 unsigned long Temp;

 switch (RcvBuf[0]) {




 case 'a':
 UART6_PutQueue("ACK\r\n");
 break;

 case 'b':
 SendToGPS("$PMTK103*");
 break;

 case 'c':
 SendToGPS("$PMTK414*");
 break;

 case 'd':
 SendToGPS("$PMTK314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0*");
 break;

 case 'e':
 SendToGPS("$PMTK314,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,1,0*");
 break;

 case 'f':
 SendToGPS("$PMTK448,1*");
 break;

 case 'g':
 SendToGPS("$PMTK448,2*");
 break;

 case 'h':
 SendToGPS("$PMTK448,3*");
 break;

 case 'i':
 SendToGPS("$PMTK448,4*");
 break;

 case 'j':
 SendToGPS("$PMTK448,5*");
 break;

 case 'k':
 SendToGPS("$PMTK448,6*");
 break;

 case 'l':
 SendToGPS("$PMTK448,7*");
 break;

 case 'm':
 GPS_State = 5;
 break;

 case 'n':
 GPS_State = 9;
 break;

 case 'o':
 RTC_WriteSRAM(2,0x5555AAAA);
 Temp = RTC_ReadSRAM(2);
 BufNum = GetBuffer();
 sprintf(BufNum,"%08LX\r\n",Temp);
 UART6_PutQueue(BufNum);
 break;

 case 'p':
 BufNum = GetBuffer();
 sprintf(BufNum,"%04X\r\n",RTC_CALIBR);
 UART6_PutQueue(BufNum);
 break;

 case 'r':
 PWR_CR.DBP = 1;
 RTC_WPR = 0xCA;
 RTC_WPR = 0x53;
 RTC_ISR = 0x00000080;
 while(RTC_ISR.INITF != 1) {};
 RTC_CALIBR = 0x00000088;
 RTC_ISR = 0x00000000;
 RTC_WPR = 0xFF;
 break;

 case 's':

 break;

 case 't':

 break;

 case 'u':
 GPS_State = 1;
 break;

 case 'v':
 BufNum = GetBuffer();
 sprintf(BufNum,"%08LX\r\n",SYSCFG_EXTICR1);
 UART6_PutQueue(BufNum);
 break;

 case 'w':
 MR0_bit = 1;
 SWIER0_bit = 1;
 break;

 case 'x':
 PR1_bit = 1;
 break;

 case 'y':
 BufNum = GetBuffer();
 sprintf(BufNum,"%08LX\r\n",EXTI_PR);
 UART6_PutQueue(BufNum);
 break;

 case 'z':
 SWIER1_bit = 1;
 break;


 default:
 UART6_PutQueue("Unknown command: ");

 BufNum = GetBuffer();
 (void)sprintf(BufNum,"%c\r\n",RcvBuf[0]);
 UART6_PutQueue(BufNum);
 break;
 }
 UART6_RxFuncPtr = UART6_Rx1;
}
#line 339 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_TxQueueInit(void) {
 TxIn = TxOut = 0;
 XmtBufPtr = 0;
}
#line 347 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_PutQueue(char *msg) {
 TxQueue[TxIn++] = msg;
 if (TxIn > ( 64 -1))
 TxIn = 0;
}
#line 355 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_SendMsg(char *s) {
 XmtBuf = s;
 XmtBufPtr = 0;
 UART6_StartTx();
}
#line 364 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/UART6.c"
void UART6_CheckQueue(void) {
 if (TXEIE_USART6_CR1_bit == 0) {
 if (TxIn != TxOut) {
 UART6_SendMsg(TxQueue[TxOut++]);
 if (TxOut > ( 64 -1))
 TxOut = 0;
 }
 }
}
